## ros-noetic-position-controllers 0.21.1

=== debian/changelog ===
ros-noetic-position-controllers (0.21.1-1buster) buster; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-noetic-position-controllers (0.21.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-position-controllers (0.20.0-1buster) buster; urgency=high

  * Drop old C++ standard
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 May 2022 23:00:00 -0000

ros-noetic-position-controllers (0.19.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 12 Jun 2021 23:00:00 -0000

ros-noetic-position-controllers (0.18.1-1buster) buster; urgency=high

  * Simplify roscpp dep + sort lib sources
  * Format package.xml and CMakeLists.txt + clean deps of position_controllers pkg
  * Contributors: Mateus Amarante Araújo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-noetic-position-controllers (0.18.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-position-controllers (0.17.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-noetic-position-controllers (0.16.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-noetic-position-controllers (0.16.0-1buster) buster; urgency=high

  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-position-controllers (0.15.1-1buster) buster; urgency=high

  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Contributors: Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-noetic-position-controllers (0.15.0-1buster) buster; urgency=high

  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-noetic-position-controllers (0.14.3-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-noetic-position-controllers (0.14.2-1buster) buster; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-noetic-position-controllers (0.14.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-noetic-position-controllers (0.14.0-1buster) buster; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-noetic-position-controllers (0.13.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-position-controllers (0.13.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-noetic-position-controllers (0.13.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-noetic-position-controllers (0.12.3-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-noetic-position-controllers (0.12.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-position-controllers (0.12.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-noetic-position-controllers (0.12.0-1buster) buster; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-noetic-position-controllers (0.11.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-noetic-position-controllers (0.11.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-noetic-position-controllers (0.11.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-noetic-position-controllers (0.10.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-noetic-position-controllers (0.9.2-1buster) buster; urgency=high

  * Thread-safe and realtime-safe forward controllers.
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-noetic-position-controllers (0.9.1-1buster) buster; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-noetic-position-controllers (0.9.0-1buster) buster; urgency=high

  * New controller: position_controllers/JointGroupPositionController (multi-joint)
  * Hold position when starting JointPositionController and JointGroupPositionController
  * Buildsystem fixes
  * Contributors: Dave Coleman, ipa-fxm

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-noetic-position-controllers (0.8.1-1buster) buster; urgency=high





## ros-noetic-position-controllers 0.21.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(position_controllers)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  forward_command_controller
  hardware_interface
  pluginlib
  roscpp
)

# Declare a catkin package
catkin_package(
    CATKIN_DEPENDS forward_command_controller hardware_interface
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
)


###########
## Build ##
###########

# Specify header include paths
include_directories(include ${catkin_INCLUDE_DIRS})
add_library(${PROJECT_NAME}
  src/joint_group_position_controller.cpp
  src/joint_position_controller.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install targets
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install plugins
install(FILES position_controllers_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-position-controllers (0.21.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Sep 2023 23:00:00 -0000

ros-noetic-position-controllers (0.21.1-1focal) focal; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-noetic-position-controllers (0.21.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-position-controllers (0.20.0-1focal) focal; urgency=high

  * Drop old C++ standard
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 May 2022 23:00:00 -0000

ros-noetic-position-controllers (0.19.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 12 Jun 2021 23:00:00 -0000

ros-noetic-position-controllers (0.18.1-1focal) focal; urgency=high

  * Simplify roscpp dep + sort lib sources
  * Format package.xml and CMakeLists.txt + clean deps of position_controllers pkg
  * Contributors: Mateus Amarante Araújo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-noetic-position-controllers (0.18.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-position-controllers (0.17.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-noetic-position-controllers (0.16.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-noetic-position-controllers (0.16.0-1focal) focal; urgency=high

  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-position-controllers (0.15.1-1focal) focal; urgency=high

  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Contributors: Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-noetic-position-controllers (0.15.0-1focal) focal; urgency=high

  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-noetic-position-controllers (0.14.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-noetic-position-controllers (0.14.2-1focal) focal; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-noetic-position-controllers (0.14.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-noetic-position-controllers (0.14.0-1focal) focal; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-noetic-position-controllers (0.13.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-position-controllers (0.13.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-noetic-position-controllers (0.13.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-noetic-position-controllers (0.12.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-noetic-position-controllers (0.12.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-position-controllers (0.12.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-noetic-position-controllers (0.12.0-1focal) focal; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-noetic-position-controllers (0.11.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-noetic-position-controllers (0.11.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-noetic-position-controllers (0.11.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-noetic-position-controllers (0.10.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-noetic-position-controllers (0.9.2-1focal) focal; urgency=high

  * Thread-safe and realtime-safe forward controllers.
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-noetic-position-controllers (0.9.1-1focal) focal; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-noetic-position-controllers (0.9.0-1focal) focal; urgency=high

  * New controller: position_controllers/JointGroupPositionController (multi-joint)
  * Hold position when starting JointPositionController and JointGroupPositionController
  * Buildsystem fixes
  * Contributors: Dave Coleman, ipa-fxm

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000



=== debian/control ===
Source: ros-noetic-position-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-forward-command-controller, ros-noetic-hardware-interface, ros-noetic-pluginlib, ros-noetic-roscpp
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-noetic-position-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-interface, ros-noetic-forward-command-controller, ros-noetic-hardware-interface, ros-noetic-roscpp
Description: position_controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-position-controllers//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
